import { Link } from "gatsby";
import * as styles from "./styles.module.scss";
import React from "react";
import Text, { Element, Size } from "../Text";

const Footer = () => (
  <footer className={styles.footer}>
    <div className={styles.grid}>
      <Text element={Element.Small} size={Size.P3}>
        Sono vietate riproduzioni non autorizzate.
      </Text>
      <nav role="navigation" className={styles.nav}>
        <ul className={styles.list}>
          <li className={styles.item}>
            <Link
              to="/contatti"
              className={styles.link}
              activeClassName={styles.active}
            >
              <Text element={Element.Span} size={Size.P4}>
                Contatti
              </Text>
            </Link>
          </li>
        </ul>
      </nav>
    </div>
  </footer>
);

export default Footer;
