import { useStaticQuery, graphql } from "gatsby";

export const useSiteMetadata = () => {
  const { site } = useStaticQuery(
    graphql`
      query SiteMetadata {
        site {
          siteMetadata {
            addSimilarItemsOnBuild
            author
            contactBody
            description
            email
            googleAnalyticsTrackingId
            keywordsEn
            keywordsIt
            pathPrefix
            piwikId
            piwikUrl
            sentryDns
            shortName
            siteUrl
            themeColor
            title
          }
        }
      }
    `
  );
  return site;
};
