import Layout from "../../components/Layout";
import React from "react";
import SEO from "../../components/Seo";
import Text, { Element, Size } from "../../components/Text";
import * as styles from "./styles.module.scss";

const NotFoundPage = () => {
  return (
    <Layout>
      <SEO title={`404: Pagina non trovata`} />
      <main className={styles.error} role="main">
        <Text element={Element.H1} size={Size.H1} className={styles.heading}>
          Pagina non trovata
        </Text>
        <Text element={Element.P} size={Size.P6}>
          Non c'e' nessuna pagina a questo indirizzo. Prova a cercarla nel
          motore di ricerca.
        </Text>
      </main>
    </Layout>
  );
};

export default NotFoundPage;
