export interface IFluid {
  aspectRatio: number;
  base64: string;
  presentationHeight: number;
  presentationWidth: number;
  sizes: string;
  src: string;
  srcSet: string;
}

export interface ITags {
  formatMessage: any;
  locale: string;
}

export interface IHit {
  category: [string];
  descrizioneAlgolia: string;
  categoryEn: [string];
  categoryIt: [string];
  objectID: string;
  price: string;
  relativeDirectory: string;
  titolo: string;
  titoloPretty: string;
}

export interface ISchema {
  "@context"?: string;
  "@type"?: string;
  alternateName?: string;
  description?: string;
  image?: string;
  itemListElement?: [];
  name?: string;
  numberOfItems?: number;
  url?: string;
  hasOfferCatalog?: {
    "@type": string;
    name: string;
    itemListElement: [];
  };
  offers?: {
    "@type": string;
    url: string;
    priceCurrency: string;
    price: string;
    itemCondition: string;
    availability: string;
    priceValidUntil: string;
  };
}

export interface IPageContext {
  currentPage: number;
  numPages: number;
  tag: string;
  tagsEn: any;
  tagsIt: any;
}
